/**************
    Post
**************/
.card-post {
  box-shadow: 0 15px 30px 15px rgba(0, 0, 0, 0.05);
  transition: all 0.3s ease-in-out;
}

.card-post:hover {
  transform: translateY(-10px);
  box-shadow: 0 30px 30px 30px rgba(0, 0, 0, 0.03);
}

.blog-post-img {
  height: 220px;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.blog-post-img a,
.blog-post-img img {
  height: 100%;
}

/**************
      Hero
  **************/
.postagens {
  .postagens {
    background-color: var(--bs-gray-300);
    padding: 80px 0;
  }

  .postagens-hero-container {
    max-width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .texto-hero {
    padding-left: 5%;
  }

  .vermelho {
    font-size: 20px;
    color: rgb(228, 1, 1);
    margin-bottom: 10px;
  }

  .texto-hero .texto-secundario {
    max-width: 850px;
  }

  .imagem1-postagens {
    padding-left: 55px;
    max-width: 50%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }

  .imagem1-postagens img {
    width: 100%;
    height: auto;
    object-fit: contain;
    border-radius: 0;
  }

  @media (max-width: 768px) {
    .postagens-hero-container {
      flex-direction: column-reverse;
      text-align: center;
    }

    .imagem1-postagens {
      max-width: 100%;
    }

    .texto-hero {
      padding: 20px 0;
    }
  }
}
/**************
        Blog
    **************/

.blog-container {
  padding: 25px 0px;
  background-color: #f4f5f7;
}

.container-blog {
  max-width: 100%;
  padding: 80px 115px;
}

.call-to-action-box {
  transform: translateX(0);
  background-color: #df2b2b;
  padding: 25px 50px;
  border-radius: 5px;
  color: #fff;
  position: absolute;
  top: -155px;
  min-width: 100vw;
  left: 0;
}

.blog-cards {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}

.card-body {
  align-items: start;
}

.col-card {
  margin: 0 5%;
}

.card-title {
  font-weight: bold;
  font-size: 1.25rem;
}
.card-text {
  font-size: 0.9rem;
  color: #6c757d;
}

@media (max-width: 768px) {
  .blog-cards {
    display: block;
  }
  .cardblog-texto {
    display: flex;
    flex-wrap: wrap;
    margin-left: -6px;
  }
  .detalhes-box-decoracao::after {
    width: 40px;
    height: 1px;
    left: 50%;
    top: 120%;
    transform: translateX(-50%);
  }
}
